## sopcast-player-0.7.2.tar.gz

=== Makefile ===
#!/usr/bin/make -f

#! /usr/bin/python
# Copyright (C) 2009-2011 Jason Scheunemann <jason.scheunemann@yahoo.com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

NAME ?= sopcast-player
PREFIX ?= /usr
DATADIR ?= $(PREFIX)/share
INSTALLDIR ?= $(DATADIR)/$(NAME)
BINDIR ?= $(PREFIX)/bin
EXECUTABLE ?= $(BINDIR)/$(NAME)
LOCALE ?= locale
LOCALEDIR ?= $(DATADIR)/$(LOCALE)
ICONBASEDIR ?= $(DATADIR)/icons/hicolor
ICONDIR ?= $(ICONBASEDIR)/scalable/apps
DESKDIR ?= $(DATADIR)/applications
INSTALL ?= install -p
#GCONF_TOOL_EXEC ?= gconftool-2
EDIT ?= sed -e 's|@DATADIR@|$(DATADIR)|g' \
	    -e 's|@NAME@|$(NAME)|g' \
	    -e 's|@PYTHON@|$(PYTHON)|g' \
	    -e 's|@INSTALLDIR@|$(INSTALLDIR)|g' \
	    -e 's|@ICONDIR@|$(ICONDIR)|g' \
	    -e 's|@DESTDIR@|$(DESTDIR)|g' \
	    -e 's|@EXECUTABLE@|$(EXECUTABLE)|g'
PYTHON ?= $(BINDIR)/python
CFLAGS ?= -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions \
          -fstack-protector --param=ssp-buffer-size=4
VLC_BINDINGS_DIR ?= pyvlc_bindings
VLC_BINDINGS_GENERATE_DIR ?= $(VLC_BINDINGS_DIR)/generated
VERSION ?= 0.7.2

gtk_update_icon_cache = gtk-update-icon-cache -f -t $(ICONBASEDIR)

build: language desktop schema byte-compile
	
desktop:
	$(EDIT) $(NAME).in > $(NAME)

schema:
	$(EDIT) $(NAME).schemas.in > $(NAME).schemas

byte-compile:
	$(PYTHON) -c 'import compileall, re; compileall.compile_dir("lib", rx=re.compile("/[.]svn"), force=1)'

language:
	@echo "Generating language files..."
	@for trln in po/*.po; do \
	   lang=`basename $${trln%.*}`; \
	   mkdir -p $(LOCALE)/$$lang/LC_MESSAGES/; \
	   msgfmt $$trln -o $(LOCALE)/$$lang/LC_MESSAGES/$(NAME).mo; \
	done

clean:
	@for file in .pyc .py~ .so .mo .o; do \
	   echo "cleaning $$file files..." ; \
	   find . -name "*$$file" | xargs rm -f -- ; \
	done
	rm -fr $(LOCALE) || :
	rm -f $(NAME) || :
	
	rm -rf sopcast-player.schemas
	
install:
	$(INSTALL) -dm 0755 $(DESTDIR)$(INSTALLDIR)/resources
	$(INSTALL) -dm 0755 $(DESTDIR)$(INSTALLDIR)/lib
	$(INSTALL) -dm 0755 $(DESTDIR)$(INSTALLDIR)/ui
	$(INSTALL) -dm 0755 $(DESTDIR)$(BINDIR)
	$(INSTALL) -dm 0755 $(DESTDIR)$(LOCALEDIR)
	$(INSTALL) -dm 0755 $(DESTDIR)$(ICONDIR)
	$(INSTALL) -dm 0755 $(DESTDIR)$(DESKDIR)
	$(INSTALL) -m 0644 lib/* $(DESTDIR)$(INSTALLDIR)/lib
	$(INSTALL) -m 0644 ui/* $(DESTDIR)$(INSTALLDIR)/ui
	$(INSTALL) -m 0644 $(NAME).schemas $(DESTDIR)$(INSTALLDIR)/resources
	$(INSTALL) -m 0755 $(NAME) $(DESTDIR)$(BINDIR)
	@for trln in $(LOCALE)/* ; do \
	   lang=`basename $$trln` ; \
	   $(INSTALL) -dm 0755 $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES ; \
	   $(INSTALL) -m 0644 $(LOCALE)/$$lang/LC_MESSAGES/* $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES ; \
	done
	$(INSTALL) -m 0644 $(NAME).desktop $(DESTDIR)$(DESKDIR)
	$(INSTALL) -m 0644 $(NAME).svg $(DESTDIR)$(ICONDIR)
	#$(GCONF_TOOL_EXEC) --install-file=$(DESTDIR)$(INSTALLDIR)/resources/$(NAME).schemas
	if test -z "$(DESTDIR)"; then \
		echo "Updating GTK icon cache."; \
		$(gtk_update_icon_cache); \
	else \
		echo "*** Icon cache not updated.  After install, run this:"; \
		echo "***   $(gtk_update_icon_cache)"; \
	fi

uninstall:
	rm -fr $(DESTDIR)$(INSTALLDIR)
	rm $(DESTDIR)$(BINDIR)/$(NAME)
	rm $(DESTDIR)$(LOCALEDIR)/*/LC_MESSAGES/$(NAME).mo
	rm $(DESTDIR)$(DESKDIR)/$(NAME).desktop
	rm $(DESTDIR)$(ICONDIR)/$(NAME).svg

=== debian/changelog ===
sopcast-player (0.7.1~ppa4~oneiric4) oneiric; urgency=low

   * 0.7.2
     -Fixed issue later vlc versions, code contribution by Manuel Luitz <manuel.luitz@gmail.com>
     
   * 0.7.1
     -Fixed unicode issue with adding bookmarks
     
   * 0.7.0
     -VLCWidget now deals with the different versions of bindings automatically in a fail-back manner
     -Added ability to delete bookmarks
     -Fixed bookmarks logic to ensure a channel is selected before allowing bookmarking
     
   * 0.6.2
     -Fixed critical bug in config manager, wasn't able to save bools
     
   * 0.6.1
     -Decreased time to update channel guide
     -Began refactoring the sopcast-player script
     -Updated Icelandic translation
     -Fixed buggy fullscreen/fullwindow modes
     
   * 0.6.0
     -Fixed hide controls function
     -Removed several un-used functions
     -Pulled all classes out of sopcast-player.py

   * 0.5.1
     -Fixed makefile
     
   * 0.5.0
     -Fixed Fullscreen issue
     -Fixed escape issue
     -Newest release only works with vlc 1.1.*
     -Added Serbian and Czech translations

   * 0.4.1
     -Added several more languages
     -Updated vlc.py to reflect current version of vlc (1.1.4)

   * 0.4.0
     -Updated language support
     -Fixed possible critical bug when selecting random ports for playback

  * 0.3.2
    -Fixed user config file issues

  * 0.3.1
    -Upgraded to new vlc python bindings, no need to compile
    -Added additional language support
    -Fixed issue with multiple video output screens when using integrated player
    
  * 0.3.0
    -Add additional language support
    -Fixed major bugs dealing with Python 2.6+
    -Changed menu item from Internet to Sound and Video at the request of users
    
  * 0.2.1
    -Primarily a maintenance release, no significant improvements
    -Makefile and supporting files by Orcan Ogetbil <oget.fedora@gmail.com>
    -Introduction to RPM Fusion by Orcan Ogetbil <oget.fedora@gmail.com>
    -Updated icon
    -Added Catalan, German, Italian, Norwegian Bokmal, Russian, and Traditional Chinese language translations
    
  * 0.2.0
    -Previous versions only alowed a user to resize the window to an arbitrary computed minimum value, this version lifts this limit
    -Internationalization and localization (English, Japanese, Simplified Chinese, Spanish)
    -Option to setup static in-bound and out-bound ports (user-requested)
    -Choice of integrating channel guide in player window or current two-window setup (user-requested)
    -Allow user to alternatively setup an external video player to play streams (user-requested)
    -Allow user to adjust channel retry timeout from 3 seconds to a user-supplied value (user-requested)
    -User-defined channel guide URL
    -Command line arguements to launch specified sopcast channels and setup in-bound/out-bound ports
    -Add stay on top option, SopCast Player will stay on top of all other windows
    -Allow user to hide all media controls (only player visible). Perfect to use in conjuction with the stay on top option to watch channels while using other applications. 

  * 0.1.1
    -Fixed bug realating to the shutdow of SopCast Player
    -Fixed volume, now retains its value from one session to the next
    -Added tv icon thank you famfamfam <http://www.famfamfam.com/lab/icons/silk>
    -Removed uneeded dependency to libstdc++5
    -Added dependency for sp-auth (<= 3.0.1)
    -Player will now dynamically resize itself based on screen size, not resolution

  * 0.1.0
    -Initial release
    
 -- Jason Scheunemann <jason.scheunemann@yahoo.com>  Mon, 02 May 2011 16:27:36 +0100

=== debian/control ===
Source: sopcast-player
Section: misc
Priority: extra
Maintainer: Jason Scheunemann <jason.scheunemann@yahoo.com>
Build-Depends: debhelper (>= 5), python (>=2.4), gettext, python-setuptools, desktop-file-utils
Standards-Version: 3.7.2

Package: sopcast-player
Architecture: any
Depends: python (>=2.4), vlc (>= 0.9.4), libvlc-dev, sp-auth (>= 3.0.1), hicolor-icon-theme, python-glade2, python-gobject, python-gtk2
Suggests: python-gnome2
Description: A GUI front-end to SopCast
 SopCast Player is designed to be a complete GUI front-end for the SopCast streaming program. SopCast Player allow users easy access to p2p intenet TV channel streams.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sopcast-player.sgml > sopcast-player.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	
	# For hardy comment out dh_prep and change compat to 6
	#dh_prep
	
	dh_installdirs

	# Add here commands to install the package into debian/sopcast-player.
	$(MAKE) DESTDIR=$(CURDIR)/debian/sopcast-player install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
